List SVMs in a fleet in NetApp Console local deployment
GET /organizations/{organization_id}/fleets/{fleet_id}/svms
Lists all SVMs in the specified fleet.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organization_id |
string |
path |
True |
Identifier for an organization. |
fleet_id |
string |
path |
True |
Identifier for a fleet. |
count |
string |
query |
False |
Indicates if the total number of resources should be returned in the response object. URL examples: "count=true" OpenAPI examples: "true" |
filter |
string |
query |
False |
Specifies which fields should be matched in order to return a resource when listing a collection. Supported operators:
URL example: "filter=field%20eq%20%27value%27" OpenAPI examples: "field eq 'value'" |
include |
string |
query |
False |
Specifies which fields should be returned when listing a collection. URL examples: "include=id", "include=id,name" OpenAPI examples: "id" |
limit |
string |
query |
False |
Specifies the maximum number of resources to return when listing a collection. URL examples: "limit=2" OpenAPI examples: "2" |
metadata |
string |
query |
False |
Indicates if the metadata should be returned in the response object. URL examples: "metadata=true" OpenAPI examples: "true" |
orderBy |
string |
query |
False |
Indicates the sort order of resources when listing a collection. URL examples: "orderBy=name", "orderBy=name%20desc" OpenAPI examples: "name desc" |
skip |
string |
query |
False |
Specifies the number of resources to skip when listing a collection. URL examples: "skip=1" OpenAPI examples: "1" |
Response
Status: 200, OK
| Name | Type | Required | Description |
|---|---|---|---|
count |
integer |
False |
Total number of resources in the collection that match the query. |
items |
array[svm_1.0_get_response_body] |
True |
SVM resources in the collection. |
Example response
{
"count": 2,
"items": [
{
"adminState": "RUNNING",
"aggregates": [
{
"id": "c08d213b-3c38-4c07-bde0-852ef821b815",
"name": "aggregate-01"
}
],
"antiRansomware": {
"defaultVolumeState": "DISABLED"
},
"audit": {
"enabled": true
},
"cifs": {
"enabled": true
},
"cluster": {
"id": "4c8d2919-ac4c-4ea7-bf7c-24863d4da94b",
"name": "cluster-01"
},
"fcp": {
"enabled": false
},
"id": "92c08026-35d2-45fe-8c1b-67b08d0c0322",
"iscsi": {
"enabled": false
},
"metadata": {
"modificationTimestamp": "2022-10-06T20:58:16.305662Z"
},
"metrics": {
"iops": {
"total": 250.5
},
"latency": {
"average": 150.75
},
"throughput": {
"total": 61070.2
}
},
"name": "svm-01",
"nfs": {
"enabled": true
},
"nvme": {
"enabled": false
},
"operationalState": "RUNNING",
"organizationId": "16c07c0c-666b-4870-9363-764eef9e7160",
"s3": {
"enabled": false
},
"security": {
"auditLogEnabled": true,
"compliancePercent": 100,
"keyManagerConfigured": true,
"loginBannerConfigured": true,
"sshSecured": true
},
"space": {
"afsTotal": 1099511627776,
"available": 549755813888
},
"storage": {
"available": 1099511627776
},
"subtype": "DEFAULT",
"svmType": "DATA",
"type": "application/vnd.netapp.bxp.svm",
"version": "1.0",
"volumeCount": 20,
"workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
},
{
"adminState": "RUNNING",
"aggregates": [
{
"id": "d19e324c-4d4f-5d18-cef1-963fg932c926",
"name": "aggregate-02"
}
],
"antiRansomware": {
"defaultVolumeState": "DISABLED"
},
"audit": {
"enabled": true
},
"cifs": {
"enabled": true
},
"cluster": {
"id": "4c8d2919-ac4c-4ea7-bf7c-24863d4da94b",
"name": "cluster-01"
},
"fcp": {
"enabled": false
},
"id": "a7f19b3e-42c6-4d1a-9f7e-8b2d3c4e5f6a",
"iscsi": {
"enabled": false
},
"metadata": {
"modificationTimestamp": "2022-10-06T21:15:42.108234Z"
},
"metrics": {
"iops": {
"total": 180.3
},
"latency": {
"average": 120.25
},
"throughput": {
"total": 45088768
}
},
"name": "svm-02",
"nfs": {
"enabled": true
},
"nvme": {
"enabled": false
},
"operationalState": "STOPPED",
"organizationId": "16c07c0c-666b-4870-9363-764eef9e7160",
"s3": {
"enabled": false
},
"space": {
"afsTotal": 2199023255552,
"available": 1649267441664
},
"storage": {
"available": 2199023255552
},
"subtype": "DP_DESTINATION",
"svmType": "DATA",
"type": "application/vnd.netapp.bxp.svm",
"version": "1.0",
"volumeCount": 20,
"workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
}
]
}
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Definitions
See Definitions
aggregate_1.0_reference
Reference to an ONTAP aggregate.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the aggregate. |
name |
string |
False |
Aggregate name. |
antiRansomware
Anti-ransomware related information of the SVM.
| Name | Type | Required | Description |
|---|---|---|---|
defaultVolumeState |
string |
False |
The default anti-ransomware state for volumes created in the SVM. Defined values are:
|
audit
Audit configuration for the SVM.
| Name | Type | Required | Description |
|---|---|---|---|
enabled |
boolean |
False |
Indicates whether or not auditing is enabled on the SVM. |
cifs
CIFS service configuration for the SVM.
| Name | Type | Required | Description |
|---|---|---|---|
enabled |
boolean |
False |
Indicates whether or not the CIFS service is administratively enabled. |
cluster_1.0_reference
Reference to an ONTAP cluster.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the cluster. |
name |
string |
False |
Cluster name. |
fcp
FCP service configuration for the SVM.
| Name | Type | Required | Description |
|---|---|---|---|
enabled |
boolean |
False |
Indicates whether or not the FCP service is administratively enabled. |
iscsi
iSCSI service configuration for the SVM.
| Name | Type | Required | Description |
|---|---|---|---|
enabled |
boolean |
False |
Indicates whether or not the iSCSI service is administratively enabled. |
common_1.0_inventory_metadata
Metadata associated with the resource.
| Name | Type | Required | Description |
|---|---|---|---|
modificationTimestamp |
string |
False |
Resource modification date. |
iops
IOPS metrics for volumes in the SVM.
| Name | Type | Required | Description |
|---|---|---|---|
total |
number |
False |
The rate of I/O operations observed for volumes on the SVM. |
latency
Latency metrics for volumes in the SVM.
| Name | Type | Required | Description |
|---|---|---|---|
average |
number |
False |
The average round trip latency observed for volumes on the SVM, in microseconds. |
throughput
Throughput metrics for volumes in the SVM.
| Name | Type | Required | Description |
|---|---|---|---|
total |
number |
False |
The rate of throughput observed for volumes on the SVM, in bytes per second. |
svm_1.0_metrics
| Name | Type | Required | Description |
|---|---|---|---|
iops |
False |
IOPS metrics for volumes in the SVM. |
|
latency |
False |
Latency metrics for volumes in the SVM. |
|
throughput |
False |
Throughput metrics for volumes in the SVM. |
nfs
NFS service configuration for the SVM.
| Name | Type | Required | Description |
|---|---|---|---|
enabled |
boolean |
False |
Indicates whether or not the NFS service is administratively enabled. |
nvme
NVMe service configuration for the SVM.
| Name | Type | Required | Description |
|---|---|---|---|
enabled |
boolean |
False |
Indicates whether or not the NVMe service is administratively enabled. |
s3
S3 service configuration for the SVM.
| Name | Type | Required | Description |
|---|---|---|---|
enabled |
boolean |
False |
Indicates whether or not the S3 service is administratively enabled. |
security
Security related information for the SVM.
| Name | Type | Required | Description |
|---|---|---|---|
auditLogEnabled |
boolean |
False |
Indicates whether or not audit logging is enabled on the SVM. |
compliancePercent |
number |
False |
Percentage of security best practices that the SVM has configured, in the range [0, 100]. An SVM is considered non-compliant if any of the following conditions are true:
|
keyManagerConfigured |
boolean |
False |
Indicates whether or not a key manager is configured for the SVM. |
loginBannerConfigured |
boolean |
False |
Indicates whether or not a login banner is configured for the SVM. |
sshSecured |
boolean |
False |
Indicates whether or not the SVM SSH configuration uses only secure ciphers. |
svm_1.0_space
| Name | Type | Required | Description |
|---|---|---|---|
afsTotal |
integer |
False |
Total size of the active filesystems in the SVM, excluding snap-reserve, in bytes. |
available |
integer |
False |
The total available volume capacity on the SVM, in bytes. |
svm_1.0_storage
| Name | Type | Required | Description |
|---|---|---|---|
available |
integer |
False |
Currently available storage capacity in SVM, in bytes. When the storage limit is not set, this defaults to INT_MAX_VALUE. |
svm_1.0_get_response_body
| Name | Type | Required | Description |
|---|---|---|---|
adminState |
string |
False |
The administrative state of the SVM. Defined values are:
|
aggregates |
array[aggregate_1.0_reference] |
False |
List of aggregates assigned to the SVM. |
antiRansomware |
False |
Anti-ransomware related information of the SVM. |
|
audit |
False |
Audit configuration for the SVM. |
|
cifs |
False |
CIFS service configuration for the SVM. |
|
cluster |
False |
Reference to an ONTAP cluster.
|
|
fcp |
False |
FCP service configuration for the SVM. |
|
id |
string |
False |
Identifier of the SVM. |
iscsi |
False |
iSCSI service configuration for the SVM. |
|
maxVolumes |
string |
False |
The maximum number of volumes allowed in the SVM. Set to "UNLIMITED" when no limit is configured. |
metadata |
False |
Metadata associated with the resource. |
|
metrics |
False |
||
name |
string |
False |
SVM name. |
nfs |
False |
NFS service configuration for the SVM. |
|
nvme |
False |
NVMe service configuration for the SVM. |
|
operationalState |
string |
False |
The operational state of the SVM. Defined values are:
|
organizationId |
string |
False |
Identifier for an organization. |
s3 |
False |
S3 service configuration for the SVM. |
|
security |
False |
Security related information for the SVM. |
|
space |
False |
||
storage |
False |
||
subtype |
string |
False |
The subtype of the SVM. Defined values are:
|
svmType |
string |
False |
The type of the SVM. Defined values are:
|
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource. Defined values are:
|
volumeCount |
number |
False |
Number of FlexVol and FlexGroup volumes in the SVM. |
workingEnvironmentId |
string |
False |
Identifier for the asset's system. |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |